--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Create a Markaby builder object. Pass in a hash of variable assignments to <tt>assigns</tt> which will be available as instance variables inside tag construction blocks. If an object is passed in to <tt>helpers</tt>, its methods will be available from those same blocks.
- !ruby/struct:SM::Flow::P 
  body: Pass in a <tt>block</tt> to new and the block will be evaluated.
- !ruby/struct:SM::Flow::VERB 
  body: "  mab = Markaby::Builder.new {\n    html do\n      body do\n        h1 &quot;Matching Mole&quot;\n      end\n    end\n  }\n"
full_name: Markaby::Builder::new
is_singleton: true
name: new
params: (assigns = {}, helpers = nil, &block)
visibility: public
